
Redmine - Defect #21168

Cannot save project when associated with a parent project.

2015-11-06 11:40 - Rupesh  J

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.1.0

Description

Create a Role "Project Update"

do not provide permission to "create project" or "create sub projects"

Provide him "Edit Project" permission

associate a user with this role to a project having a parent project.

Login as a user and edit the project.

Modify the description and save.

The save fails.

Environment:

Redmine version                3.1.1.stable

Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

Rails version                  4.2.4

Environment                    production

Database adapter               Mysql2

We are using 3.1.1, But may exists in other versions as well.

Attaching the patch for the correction.

Related issues:

Is duplicate of Redmine - Defect #20282: Error message when editing a child p... Closed

History

#1 - 2015-11-06 14:30 - budo kaiman

Is this a duplicate of #20282?

#2 - 2015-11-06 14:40 - Rupesh  J

- Status changed from New to Resolved

Thanks budo kaiman.!

#3 - 2015-11-08 22:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Duplicate

#4 - 2015-11-09 16:29 - Toshi MARUYAMA

- Priority changed from Urgent to Normal

#5 - 2015-11-09 16:29 - Toshi MARUYAMA

- Is duplicate of Defect #20282: Error message when editing a child project without add project/subprojects permissions added

Files

0001-fix-for-sub-project-save-error.patch 891 Bytes 2015-11-06 Rupesh  J
